curl -X POST "https://api.nevatal.com/api/v1/appointments" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"patientId": "pat_abc123",
"doctorId": "usr_doctor456",
"locationId": "loc_main",
"procedureId": "proc_general_consult",
"startTime": "2025-04-01T09:00:00-05:00",
"endTime": "2025-04-01T09:30:00-05:00",
"notes": "Initial consultation"
}'
{
"id": "apt_xyz789",
"patientId": "pat_abc123",
"doctorId": "usr_doctor456",
"locationId": "loc_main",
"procedureId": "proc_general_consult",
"startTime": "2025-04-01T09:00:00-05:00",
"endTime": "2025-04-01T09:30:00-05:00",
"status": "confirmed",
"notes": "Initial consultation",
"createdAt": "2025-03-20T15:00:00Z"
}
{
"statusCode": 409,
"error": "Conflict",
"message": "Time slot overlaps with an existing appointment"
}
Appointments
Create Appointment
Schedule a new appointment
POST
/
api
/
v1
/
appointments
curl -X POST "https://api.nevatal.com/api/v1/appointments" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"patientId": "pat_abc123",
"doctorId": "usr_doctor456",
"locationId": "loc_main",
"procedureId": "proc_general_consult",
"startTime": "2025-04-01T09:00:00-05:00",
"endTime": "2025-04-01T09:30:00-05:00",
"notes": "Initial consultation"
}'
{
"id": "apt_xyz789",
"patientId": "pat_abc123",
"doctorId": "usr_doctor456",
"locationId": "loc_main",
"procedureId": "proc_general_consult",
"startTime": "2025-04-01T09:00:00-05:00",
"endTime": "2025-04-01T09:30:00-05:00",
"status": "confirmed",
"notes": "Initial consultation",
"createdAt": "2025-03-20T15:00:00Z"
}
{
"statusCode": 409,
"error": "Conflict",
"message": "Time slot overlaps with an existing appointment"
}
Body Parameters
string
required
The patient ID
string
required
The doctor/practitioner ID
string
required
The clinic location ID
string
required
The clinical procedure ID
string
required
Start time in ISO 8601 format with timezone
string
required
End time in ISO 8601 format with timezone
string
Optional notes for the appointment
curl -X POST "https://api.nevatal.com/api/v1/appointments" \
-H "Authorization: Bearer nvtl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"patientId": "pat_abc123",
"doctorId": "usr_doctor456",
"locationId": "loc_main",
"procedureId": "proc_general_consult",
"startTime": "2025-04-01T09:00:00-05:00",
"endTime": "2025-04-01T09:30:00-05:00",
"notes": "Initial consultation"
}'
{
"id": "apt_xyz789",
"patientId": "pat_abc123",
"doctorId": "usr_doctor456",
"locationId": "loc_main",
"procedureId": "proc_general_consult",
"startTime": "2025-04-01T09:00:00-05:00",
"endTime": "2025-04-01T09:30:00-05:00",
"status": "confirmed",
"notes": "Initial consultation",
"createdAt": "2025-03-20T15:00:00Z"
}
{
"statusCode": 409,
"error": "Conflict",
"message": "Time slot overlaps with an existing appointment"
}

